Package: org.grails.cli.profile.steps

## [Groovy] Class ExecuteStep

- org.grails.cli.profile.steps.ExecuteStep

-     class ExecuteStep
      extends AbstractStep

  A Step that can execute another command

  Authors:
    Graeme Rocher
  Since:
    3.0

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static java.lang.String` | `CLASS_NAME` |
    `static java.lang.String` | `NAME` |
    `private Command` | `target` |

  - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class AbstractStep` | `command, parameters`

  - ### Properties Summary

    Properties
    Type | Name and description
    --- | ---
    `Command` | `target`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `ExecuteStep (ProfileCommand command, java.util.Map<java.lang.String, java.lang.Object> parameters)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `java.lang.String` | `getName()`
    `` | `boolean` | `handle(ExecutionContext context)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class AbstractStep` | `flag`

- - ### Field Detail

    - #### public static final java.lang.String CLASS_NAME

    - #### public static final java.lang.String NAME

    - #### private Command target

  - ### Property Detail

    - #### Command target

  - ### Constructor Detail

    - #### ExecuteStep(ProfileCommand command, java.util.Map<java.lang.String, java.lang.Object> parameters)

  - ### Method Detail

    - #### @java.lang.Override java.lang.String getName()

    - #### @java.lang.Override boolean handle(ExecutionContext context)